%define	name      kazehakase
%define	version   0.4.4.1
%define	release   %mkrel 2

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:      %{name}
Summary:   A fast and light tabbed web browser using gecko
Version:   %{version}
Release:   %{release}
URL:       http://kazehakase.sourceforge.jp
Source0:   %{name}-%{version}.tar.bz2
# icons
Source10:  %{name}-16.png
Source11:  %{name}-32.png
Source12:  %{name}-48.png
Group:     Networking/WWW
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:   GPL
Requires:        %{libname} = %{version}
Requires:        mozilla-firefox
BuildRequires:   mozilla-firefox-devel desktop-file-utils
BuildRequires:   gtk+2-devel automake1.8 gnutls-devel

%description
Kazehakase is a fast and light tabbed browser using gecko.
"Kaze" means "wind", and "Hakase" means "Dr." in Japanese.


%package -n %{libname}
Summary:	Kazehakase library
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
Kazehakase library.


%prep
%setup -q

%build
# force to regenerate configure
cp /usr/share/automake-1.9/mkinstalldirs .
./autogen.sh
%configure2_5x \
	--enable-migemo 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

# icons
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 %SOURCE10 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE11 %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE12 %buildroot/%_liconsdir/%name.png

# remove devel files
rm -f %{buildroot}/%{_libdir}/kazehakase/*.{la,so}

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << _EOF_
?package(%{name}): \
 icon="%{name}.png" \
 title="Kazehakase" \
 longtitle="A fast and light tabbed web browser using gecko" \
 needs="x11" \
 section="Internet/Web Browsers" \
 command="%{name}"\
 xdg="true"
_EOF_

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-Internet-WebBrowsers"\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYING.README 
%doc README README.ja TODO.ja
%config(noreplace) %{_sysconfdir}/kazehakase/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/kazehakase/kz-no-thumbnail.png
%{_datadir}/kazehakase/search-result.css
%{_datadir}/kazehakase/icons/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%_menudir/%name
%_liconsdir/%name.png
%_miconsdir/%name.png
%_iconsdir/%name.png

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/kazehakase/*.so.0*


%changelog
* Tue Feb 06 2007 Lenny Cartier <lenny@mandriva.com> 0.4.4.1-2mdv2007.0
+ Revision: 116688
- Less options in configure
- Update to 0.4.4.1
- Update to 0.4.3

  + Thierry Vignaud <tvignaud@mandriva.com>
    - add missing buildrequires
    - Import kazehakase




* Wed Oct 04 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.1-1mdv2007.0
- new release

* Fri Sep 15 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.0-2.20060915.1mdv2007.0
- latest snapshot
- remove patch0

* Tue Sep 12 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.0-1mdv2007.0
- new release
- switch to XDG
- remove patch0 (kazehakase_enable_hyperestraier.diff)
- (merged upstream)
- change gecko engine (mozilla -> firefox)
- add new patch0 (kazehakase-force_gecko_version.diff)

* Fri Jan 13 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.4-1mdk
- new release
- change gecko engine (firefox -> mozilla)
- we can't build kazehakase-0.3.4 against firefox-1.5. :-/
- add a lib package

* Thu Dec 01 2005 Lenny Cartier <lenny@mandriva.com> 0.3.3-1mdk
- 0.3.3

* Tue Nov 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.3.2-2mdk
- fix buildrequires
- cleanup requires
- from UTUMI Hirosi:
  o new release
  o patch 0: enable hyperestraier

* Sat Oct 29 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.3.2-1mdk
- from UTUMI Hirosi
	- new release
	- add libgnutls11 to requires

* Mon Aug 08 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.2.9-1mdk
- do not overwrite configuration on update
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Thu Jun 30 2005 Lenny Cartier <lenny@mandriva.com> 0.2.8-1mdk
- 0.2.8

* Sun May 01 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.7-1mdk
- new release

* Tue Mar 29 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.6-1mdk
- new release
- modify summary (browser -> web browser)
- change requires/buildrequires (mozilla -> mozilla-firefox)
- add "--with-gecko-engine=firefox" to configure

* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-1mdk
- new release

* Tue Feb 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.4-1mdk
- new release
- fix build

* Wed Dec 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.3-1mdk
- new release

* Mon Nov 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.2-1mdk
- new release

* Tue Nov 09 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.1-2mdk
- new release
- add icons

* Thu Sep 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-1.cvs20040930.1mdk
- new release
- cvs20040930

* Mon Sep 27 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.9-2.cvs20040927.1mdk
- cvs20040927

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.8.1-1mdk
- cleanup
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o initial spec for mdk
  o patch 0: fix autogen
